ChangeSet 1.1524, 2004/01/29 17:13:27-08:00, greg@kroah.com

[PATCH] PCI: fix compiler warning in probe.c cause by PPC patch.


 drivers/pci/probe.c |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)


diff -Nru a/drivers/pci/probe.c b/drivers/pci/probe.c
--- a/drivers/pci/probe.c	Thu Jan 29 17:23:43 2004
+++ b/drivers/pci/probe.c	Thu Jan 29 17:23:43 2004
@@ -628,11 +628,13 @@
 		 	 * If this is a single function device,
 		 	 * don't scan past the first function.
 		 	 */
-			if (!dev->multifunction)
-				if (func > 0)
+			if (!dev->multifunction) {
+				if (func > 0) {
 					dev->multifunction = 1;
-				else
+				} else {
  					break;
+				}
+			}
 		} else {
 			if (func == 0)
 				break;
